if (complianceFilter.getCountry() != null && !complianceFilter.getCountry().equals("")) {
			filter = filter + " and cce.country = '" + complianceFilter.getCountry() + "'";
		}
		
if (complianceFilter.getPartnerName() != null && !complianceFilter.getPartnerName().equals("")) {filter = filter + " and cce.partnerName = '" + complianceFilter.getPartnerName() + "'";
if (complianceFilter.getCountry() != null && !complianceFilter.getCountry().equals("")) {filter = filter + " and cce.country = '" + complianceFilter.getCountry() + "'";
if (complianceFilter.getCmatId() != null && !complianceFilter.getCmatId().equals("")) {filter = filter + " and cce.cmatId = '" + complianceFilter.getCmatId() + "'";
if (complianceFilter.getPartnerProgram() != null && !complianceFilter.getPartnerProgram().equals("")) {filter = filter + " and cce.partnerProgram = '" + complianceFilter.getPartnerProgram() + "'";
if (complianceFilter.getPartnerProgramStatus() != null && !complianceFilter.getPartnerProgramStatus().equals("")) {filter = filter + " and cce.partnerProgramStatus = '" + complianceFilter.getPartnerProgramStatus() + "'";
if (complianceFilter.getPartnerProgrambusinessRight() != null && !complianceFilter.getPartnerProgrambusinessRight().equals("")) {filter = filter + " and cce.partnerProgrambusinessRight = '" + complianceFilter.getPartnerProgrambusinessRight() + "'";
if (complianceFilter.getPartnerProgramStartDate() != null && !complianceFilter.getPartnerProgramStartDate().equals("")) {filter = filter + " and cce.PartnerProgramStartDate = '" + complianceFilter.getPartnerProgramStartDate() + "'";
if (complianceFilter.getLevel() != null && !complianceFilter.getLevel().equals("")) {filter = filter + " and cce.level = '" + complianceFilter.getLevel() + "'";
if (complianceFilter.getThreshold() != null && !complianceFilter.getThreshold().equals("")) {filter = filter + " and cce.threshold = '" + complianceFilter.getThreshold() + "'";
if (complianceFilter.getGeo() != null && !complianceFilter.getGeo().equals("")) {filter = filter + " and cce.geo = '" + complianceFilter.getGeo() + "'";
if (complianceFilter.getCurrency() != null && !complianceFilter.getCurrency().equals("")) {filter = filter + " and cce.currency = '" + complianceFilter.getCurrency() + "'";
if (complianceFilter.getComplianceBookings() != null && !complianceFilter.getComplianceBookings().equals("")) {filter = filter + " and cce.complianceBookings = '" + complianceFilter.getComplianceBookings() + "'";
if (complianceFilter.getPercentageAttainment() != null && !complianceFilter.getPercentageAttainment().equals("")) {filter = filter + " and cce.percentageAttainment = '" + complianceFilter.getPercentageAttainment() + "'";
if (complianceFilter.getBookingsLevel() != null && !complianceFilter.getBookingsLevel().equals("")) {filter = filter + " and cce.bookingsLevel = '" + complianceFilter.getBookingsLevel() + "'";
if (complianceFilter.getTrainingLevel() != null && !complianceFilter.getTrainingLevel().equals("")) {filter = filter + " and cce.trainingLevel = '" + complianceFilter.getTrainingLevel() + "'";
if (complianceFilter.getPSCStatus() != null && !complianceFilter.getPSCStatus().equals("")) {filter = filter + " and cce.pSCStatus = '" + complianceFilter.getPSCStatus() + "'";
if (complianceFilter.getAction() != null && !complianceFilter.getAction().equals("")) {filter = filter + " and cce.action = '" + complianceFilter.getAction() + "'";
if (complianceFilter.getLevelAdjustment() != null && !complianceFilter.getLevelAdjustment().equals("")) {filter = filter + " and cce.levelAdjustment = '" + complianceFilter.getLevelAdjustment() + "'";